# 62. Mutacja: udostępnij gospodarstwa

Hurtowe udostępnianie gospodarstw użytkownikom w ramach „Organizacji” lub użytkownikom zewnętrznym. Istnieją dwa scenariusze zastosowania mutacji. W pierwszym przypadku hurtowe udostępnianie „Gospodarstw” poprzez listę adresów e-mail.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutacja ShareFarmsSample {
  shareFarms(
    input: {
      farmUuids: ["farm_uuid1", "farm_uuid2"]
      emails: ["user1@gmail.com", "user2@gmail.com"]
    }
  ) {
    uuid
    uuidUżytkownika
    nazwa
    własnośćGospodarstwa
    dataUtworzenia
    dataAktualizacji
    email
  }
}

```

{% endcode %}

A w drugim przypadku ustawiany jest parametr ‚allFarms=true’ dla listy „Użytkowników” w „Organizacji”, co oznacza, że wszystkie nowe gospodarstwa w ramach „Organizacji” będą dostępne dla tych „Użytkowników”.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutacja ShareFarmsSample {
  shareFarms(
    input: { 
      emails: ["user@gmail.com"], 
      allFarms: true 
    }
  ) {
    uuid
    uuidUżytkownika
    nazwa
    własnośćGospodarstwa
    dataUtworzenia
    dataAktualizacji
    email
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/pl/dokumentacja-api/przeglad-zapytan-api-geopard/62.-mutacja-udostepnij-gospodarstwa.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
